<route lang="json5" type="page">
{
  layout: 'default',
  needLogin: true,
  style: {
    navigationBarTitleText: '',
    navigationBarBackgroundColor: '#fff',
  },
}
</route>

<script setup>
import { t } from '@/locale'
import { getPageParams } from '@/utils/page'

const params = ref({})

onLoad((options) => {
  params.value = getPageParams(options)
  uni.setNavigationBarTitle({
    title: params.value.title || t('webLink.title'),
  })
})
</script>

<template>
  <web-view :src="params.link" />
</template>
